# eric4.Helpviewer.Network.NetworkReply

Module implementing a network reply object for special data.

### Global Attributes

None

### Classes

NetworkReply | Class implementing a QNetworkReply subclass for special data.

### Functions

None

## NetworkReply

Class implementing a QNetworkReply subclass for special data.

### Derived from

QNetworkReply

### Class Attributes

None

### Class Methods

None

### Methods

NetworkReply | Constructor
abort | Public slot to abort the operation.
bytesAvailable | Public method to determined the bytes available for being read.
readData | Protected method to retrieve data from the reply object.

### Static Methods

None

#### NetworkReply (Constructor)

NetworkReply(request, fileData, mimeType, parent = None)

Constructor

request
  reference to the request object (QNetworkRequest)
fileData
  reference to the data buffer (QByteArray)
mimeType
  for the reply (string)
parent
  reference to the parent object (QObject)

#### NetworkReply.abort

abort()

Public slot to abort the operation.

#### NetworkReply.bytesAvailable

bytesAvailable()

Public method to determined the bytes available for being read.

Returns:
  bytes available (integer)

#### NetworkReply.readData

readData(maxlen)

Protected method to retrieve data from the reply object.

maxlen
  maximum number of bytes to read (integer)

Returns:
  string containing the data (string)

Up